Subject: [tsvwg] Support for ECT(1) as input signal

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 27 Apr 2020 14:24:35 +0000

Hi all,

I support the use of ECT(1) as network input. I believe this is the way it was envisioned in RFC3168 and we subsequently designed additional work on ECN based on that assumption. However of course that is not a good reason to not change it, but I see a much larger value in having this as an additional input than as an output.

The way this is envision in RFC3168 is that router can use the CE signal when there is congestion. However, effectively this is not only one codepoint on a packet which router can use as a signal but it's all the number of bits over a set of packets that belong to same flow than can be used by a router (already today with any AQM) to provide output. Thus having CE as an output signal mechanism already provides a rich way of signaling. And this is what L4S utilizes. Don't use only a signal codepoint on a signal packet but take into account the average of marks over time!

Using ECT(1) providing an addition input to the network, however, is very powerful as we don't have many ways to provide any addition input to network and we should not lose this! SCE provide a small and simple improvement but proving input to the network to enable a completely different traffic behavior that has not be compliance with that was deployed more than 30 years ago is a huge chance that we should not pass by without a (maybe ambitious) attempt to use it.

Mirja